* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
button,
input {
  border-radius: 0;
  border: none;
  background-color: rgb(239, 239, 239);
  color: black;
}
input {
  background-color: white;
}
@font-face {
  font-family: "Montserrat";
  src: url(./Montserrat-Light.ttf);
}
body {
  background-color: goldenrod;
  font-family: "Montserrat", sans-serif;
  padding: 50px;
}
#banner,
#tabs {
  width: 100%;
  background-color: green;
  padding: 20px;
  color: white;
}
#tabs{
  height: 500px;
  overflow: scroll;
}
#bodyObject {
  margin: auto;
}
#toggleFormatButton {
    background-color: yellowgreen;
    padding: 3px;
}
#clock2 {
  text-decoration: underline;
}
#banner {
  display: flex;
  justify-content: space-between;
}
#main {
  margin: auto;
  display: grid;
  grid-template-columns: 20% 80%;
  grid-template-rows: 100%;
}
.tab {
  padding: 10px;
  color: white;
  cursor: pointer;
  margin-bottom: 20px;
}
.tab:hover {
  background-color: darkgreen;
}
#mainSide {
  background-color: yellowgreen;
}
#homeTab {
  padding: 20px;
  color: black;
  font-size: 24px;
  text-align: center;
}
#clock {
  font-size: 60px;
}
#timerTab,
#calculatorTab,
#canvasTab,
#searchTab,
#weatherTab {
  display: none;
  height: 500px;
}
#homeTab{
  height: 500px;
  overflow: scroll;
}
#searchTab {
  text-align: center;
  padding: 40px;
}
.searcher {
  padding: 20px;
  background-color: goldenrod;
  font-size: 24px;
}
.searcher button,
.searcher input {
  font-size: 24px;
  font-family: "Montserrat", sans-serif;
}
form {
  width: 100%;
  display: flex;
  justify-content: space-evenly;
  background-color: green;
  padding: 10px;
}
form input {
  width: 80%;
  border: none;
  padding: 10px;
  font-family: "Montserrat", sans-serif;
  outline: none;
  background-color: white;
}
form button {
  width: 20%;
  border: none;
  padding: 10px;
  font-family: "Montserrat", sans-serif;
  cursor: pointer;
  outline: none;
  background-color: rgb(239, 239, 239);
}
#weatherFlexContainer {
  display: grid;
  grid-template-columns: 25% 25% 25% 25%;
  grid-template-rows: 100%;
}
#weatherFlexContainer div {
  text-align: center;
  margin: 10px;
}
#canvasIframe {
  padding: 10px;
}
footer {
  padding: 20px;
  background-color: green;
  color: white;
}
footer a {
  color: yellowgreen;
}
footer a:hover {
  color: yellow;
}

#loadingScreen,
#alertBox,
#settingsBox {
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0, 0, 0); /* Fallback color */
  background-color: rgba(0, 0, 0, 1); /* Black w/ opacity */
  display: none;
}

/* Modal Content/Box */
#loadingScreenContent,
#alertBoxContent,
#settingsBoxContent {
  background-color: #fefefe;
  margin: 15% auto; /* 15% from the top and centered */
  padding: 20px;
  border: 1px solid #888;
  width: 80%; /* Could be more or less, depending on screen size */
  height: 45%;
  overflow: scroll;
  text-align: center;
}

#loadingScreenBTN {
  background-color: green;
  color: white;
  padding: 10px;
  border: none;
  font-size: 24px;
  margin: 20px;
  outline: none;
  font-family: "Montserrat", sans-serif;
  border-radius: 10px;
  transition: all 0.5s ease-in-out;
}

#loadingScreenEnd {
  display: none;
}

#loadingScreenBTN:hover {
  background-color: white;
  color: black;
}

#loadingScreenTwoColumns {
  display: grid;
  grid-template-columns: 50% 50%;
}

#loadingScreenTwoColumns input {
  padding: 10px;
  background-color: rgb(239, 239, 239);
  font-family: "Montserrat", sans-serif;
}

/* timer */
.timer {
  background-color: white;
}
.threeButtonColumns button:hover,
.timerContainer button:hover {
  background-color: #afafaf;
}

.threeButtonColumns button:disabled,
.timerContainer button:disabled {
  background-color: #afafaf;
  cursor: not-allowed;
}

.threeColumns,
.timerButtons,
.threeButtonColumns {
  width: auto;
  margin: 20px;
}

.threeColumns {
  display: grid;
  grid-template-columns: 30% 5% 30% 5% 30%;
}

.threeButtonColumns {
  display: grid;
  grid-template-columns: repeat(4, 25%);
}

.threeButtonColumns button {
  background-color: #d3c3c3;
  border: none;
  padding: 10px;
  cursor: pointer;
  font-size: 15px;
  margin: 10px;
  text-align: center;
}

.timerContainer,
.colons,
.timerButtons {
  background-color: #f1f1f1;
  padding: 10px;
  text-align: center;
  align-items: center;
  margin: 5px;
}

.timerContainer h1 {
  font-size: 15px;
  text-align: center;
}

.timerContainer button {
  background-color: #d3c3c3;
  border: none;
  padding: 5px;
  cursor: pointer;
  font-size: 15px;
  width: 90%;
  margin: 10px;
  text-align: center;
}

.colons {
  text-align: center;
  font-size: 5vh;
}

/* making timer tab a bit better */
#timerTab {
  overflow: scroll;
  height: 500px;
  background-color: #fff;
}

.timerTabHeaders {
  text-align: center;
  font-size: 20px;
  margin: 15px;
}

/* splash text upgrade */
#splashText {
  transition: all 0.5s ease-in-out;
}

/* footer link */
#footerLinks {
  display: flex;
  justify-content: left;
}

#footerLinks button {
  background: none;
  border: none;
  color: white;
  margin: 10px;
  font-family: "Montserrat", sans-serif;
  text-decoration: underline;
}

#footerLinks button:disabled {
  color: rgb(239, 239, 239);
  cursor: not-allowed;
}

#alertBox {
  display: none;
}

#alertBoxButton {
  padding: 7px;
  border: none;
  font-size: 14px;
  margin: 10px;
  outline: none;
  font-family: "Montserrat", sans-serif;
}

#alertBoxButton:hover {
  background-color: black;
  color: white;
}

@media screen and (max-width: 850px) {
  .tab {
    margin: auto;
    text-align: center;
  }
  #tabs,
  #main,
  #banner {
    display: block;
  }
  #banner {
    text-align: center;
  }
  .searcher input {
    width: 100%;
  }
  h1 {
    font-size: 22px;
  }
  h2 {
    font-size: 18px;
  }
  h3 {
    font-size: 16px;
  }
  #loadingScreenTwoColumns {
    display: block;
  }
  #loadingScreenContent,
  #alertBoxContent {
    height: 75%;
  }
}
#nineGrid{
  display: grid;
  grid-template-columns: 33% 33% 33%;
  grid-template-rows: 100px 100px 100px;
  overflow: scroll;
}
#nineGrid button{
  font-size: 18px;
  /* background-color: green; */
  background: none;
  color: black;
  border: none;
  cursor: pointer;
  font-family: 'Montserrat', sans-serif;
  width: 100px;
  height: 100px;
  margin: auto;
  margin-bottom: 10px;
}
#nineGrid button:hover{
  /* background-color: darkgreen; */
  text-decoration: underline;
}

#todayWeather{
  text-align: center;
  width: 25%;
  background-color: darkgreen;
  color: white;
  padding: 10px;
  margin: 10px;
  height: 300px;
  font-size: larger;
}

#weatherContainer{
    font-size: larger;
    padding: 20px;
}

.weatherMainContainer{
    display: flex;
    justify-content: space-between;
}
#mainWeatherDisplay{
    width: 70%;
    background-color: darkgreen;
    color: white;
    padding: 10px;
    height: 300px;
    margin: 10px;
    overflow: scroll;
}
#weatherBottomBar{
    background-color: darkgreen;
    margin: 10px;
    padding: 10px;
    width: 98%;
    color: white;
}
#weatherBottomBar button, input{
    background-color: yellowgreen;
    padding: 10px;
    border: none;
    font-size: 18px;
    font-family: 'Montserrat', sans-serif;
    margin: 10px;
}
#weatherTab{
    overflow: scroll;
}
#geocodeResult,
#hourlyWeatherDisplay,
#dailyWeatherDisplay,
#geocodeResult th,
#hourlyWeatherDisplay th,
#dailyWeatherDisplay th,
#geocodeResult td,
#hourlyWeatherDisplay td,
#dailyWeatherDisplay td{
    border: 1px solid white;
    overflow: scroll;
    padding: 1px;
}

#geocodeResult,
#hourlyWeatherDisplay,
#dailyWeatherDisplay{
    height: 25px;
    overflow: scroll;
}

#geocodeResult tr:hover,
#hourlyWeatherDisplay tr:hover,
#dailyWeatherDisplay tr:hover{
    background-color: yellowgreen;
    color: black;
}
